Update Link

http
PUT https://services.leadconnectorhq.com/links/{linkId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
linkIdstringYesLink Id

Body

NameTypeRequiredExampleDescription
namestringYesfirst tag
redirectTostringYeshttps://www.google.com/

Responses

201 - Successful response
  • link (object)

    • id (string): Example: n4AriwEnFrGh3tu08W0U

    • name (string): Example: first tag

    • redirectTo (string): Example: https://www.google.com/

    • fieldKey (string): Example: {{trigger_link.n4AriwEnFrGh3tu08W0U}}

    • locationId (string): Example: ve9EPM428h8vShlRW1KT

json
{
  "link": {
    "id": "n4AriwEnFrGh3tu08W0U",
    "name": "first tag",
    "redirectTo": "https://www.google.com/",
    "fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
    "locationId": "ve9EPM428h8vShlRW1KT"
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/links/YOUR_linkId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "first tag",
  "redirectTo": "https://www.google.com/"
}'

Last updated October 26, 2026

Was this page helpful?